# pymaingo - A Python interface for MAiNGO

pymaingo is the Python interface of MAiNGO, the McCormick-based Algorithm for mixed-integer Nonlinear Global Optimization.
For information on MAiNGO, please visit the [MAiNGO website](http://permalink.avt.rwth-aachen.de/?id=729717).
The open source version of MAiNGO is available on our [GitLab page](https://git.rwth-aachen.de/avt.svt/public/maingo).

## Obtaining Pymaingo

Currently, pymaingo needs to be built from source along with MAiNGO.
To do so, obtain the code from our [GitLab page](https://git.rwth-aachen.de/avt.svt/public/maingo) and follow the instructions provided there.

## Using Pymaingo

Pymaingo provides Python bindings (enabled by [pybind11](https://pybind11.readthedocs.io/en/stable/index.html)) for the C++ API of MAiNGO.
Details on how to use it are available in the documentation on the MAiNGO [GitLab page](https://git.rwth-aachen.de/avt.svt/public/maingo).
Example problems can be found in the [GitLab page](https://git.rwth-aachen.de/avt.svt/public/maingo/-/tree/master/examples) in the MAiNGO repository.